:host {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;
}

.content-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 160px;
}

p {
  font-family: var(--secondary-font);
  font-size: var(--secondary-font-size-very-small);
}

.add-variant {
  margin-top: var(--spacing);

  .add-icon {
    width: 30px;
    height: 30px;
    margin-left: var(--spacing);
  }
}

.remove-variant {
  margin-top: var(--spacing);
}

form.edit-form {
  width: 270px;
  margin-top: 140px;

  @media screen and (min-width: 414px) {
    width: 290px;
  }

  @media screen and (min-width: 768px) {
    width: 70vw;
  }

  @media screen and (min-width: 900px) {
    width: 50vw;
  }
}

button[type="submit"].circle,
button.toggle-edit {
  position: fixed;
  z-index: 1004;
  bottom: var(--spacing-medium);
  right: var(--spacing-medium);

  svg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 36px;
    height: 36px;
  }
  app-simple-loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

button[type="submit"]:not(.circle) {
  svg {
    width: 28px;
    height: 28px;
    display: block;
    margin-left: var(--spacing-medium);
  }
  app-simple-loader {
    margin-left: var(--spacing-medium);
  }
}

button.cancel-button {
  position: fixed;
  bottom: 24px;
  left: var(--spacing-medium);

  svg {
    width: 36px;
    height: 36px;
  }
}

button.duplicate {
  position: fixed;
  z-index: 1004;
  bottom: 88px;
  right: var(--spacing-medium);

  svg {
    fill: var(--app-button-text);
    width: 30px;
    height: 30px;
  }
}

app-details.right {
  position: absolute;
  top: 0;
  right: 0;
}

.photos-fieldset {
  margin-top: var(--spacing);

  .legend {
    line-height: 34px;
  }
}

.mel-upload-images {
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;

  li {
    list-style: none;
    flex: 0;
    flex-shrink: 0;
    margin: var(--spacing) auto 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;

    @media screen and (min-width: 768px) {
      margin: var(--spacing) var(--spacing-small) 0 0;
    }
  }
}

mel-upload-image {
  height: 200px;
  width: 100%;

  &.ng-invalid {
    border: 4px solid var(--warn);

    .mel-up-img-actions {
      flex-direction: column;

      > span {
        margin-bottom: var(--spacing);
        font-family: var(--secondary-font);
      }
    }
  }
}

.additional-fields {
  margin-top: var(--spacing-big);
}

app-form-field:not(:first-of-type) {
  margin-top: var(--spacing);
}

.item-header-wrapper {
  min-width: 84vw;
  position: relative;

  svg {
    display: block;
  }

  .arabesque-bottom {
    position: relative;
    top: -1px;
    z-index: -1;
  }

  @media screen and (min-width: 900px) {
    min-width: 50vw;
  }
}

.item-header {
  padding: var(--spacing);
  background: var(--item-header);
  color: var(--item-header-text);
  font-size: var(--secondary-font-size-small);
}

.item-field-section {
  position: relative;
  border-radius: 8px;
  width: 70vw;
  margin-bottom: var(--spacing-big);
  overflow: hidden;

  &::before {
    content: "";
    background: var(--item-field-section);
    opacity: 0.3;
    transition: all 330ms linear;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: absolute;
  }

  h2 {
    font-family: var(--primary-font);
    background: var(--item-field-section-header);
    color: var(--item-field-section-header-text);
    padding: var(--spacing);
    font-size: var(--primary-font-size);
    transition: all 330ms linear;
    display: flex;
    align-items: center;

    span {
      flex: 1;
    }

    svg {
      width: 32px;
      height: 32px;
    }
  }

  @media screen and (min-width: 900px) {
    width: 45vw;
  }
}

.item-field-content {
  padding: var(--spacing);
  font-size: var(--secondary-font-size-very-small);
  font-family: var(--secondary-font);
  color: var(--item-field-section-content-text, inherit);

  ul,
  li {
    font-family: inherit;
    font-size: inherit;
  }
}

.shop-link {
  width: 70vw;
  margin-bottom: var(--spacing-big);
  display: flex;
  flex-direction: column;

  .shop-link-content {
    display: flex;
    align-items: center;
  }

  svg {
    flex: 0 0 42px;
    width: 42px;
    height: 34.27px;
    margin-right: var(--spacing-small);
  }

  p {
    text-align: center;
    margin-bottom: var(--spacing-medium);
    font-size: var(--secondary-font-size);
  }

  a {
    flex: 1;
    min-width: 0;
    span {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      min-width: 0;
      font-size: var(--primary-font-size-small);
      padding: 8px 0;
      margin: -8px 0;
    }
  }

  @media screen and (min-width: 900px) {
    width: auto;
    max-width: 500px;
    margin-left: var(--spacing-big);
  }
}

.app-clouds-wrapper {
  padding-bottom: var(--spacing-bigger);
}

form .actions {
  margin-top: var(--spacing-bigger);
  margin-bottom: 100px;

  @media screen and (min-width: 768px) {
    button {
      margin-top: 0;

      &:first-of-type {
        margin-right: var(--spacing-big);
      }
    }
  }
}

.delete-form {
  p {
    margin-top: var(--spacing-big);
  }

  .actions {
    width: 100%;
    margin-top: var(--spacing-big);
    margin-bottom: 0;
    padding: var(--spacing);
    box-sizing: border-box;
  }

  [type="submit"] {
    margin-top: 0;
  }
}

.mark-as-draft {
  position: absolute;
  border-radius: 50%;
  top: 35%;
  right: var(--spacing);
  transform: translate(20%, -50%);
  width: 80px;
  height: 80px;
  border: 4px solid var(--draft);
  background: var(--draft-bg);
  color: var(--draft);
  font-size: var(--secondary-font-size);
  font-family: var(--secondary-font);
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;
}

.mark-as-incomplete {
  position: absolute;
  border-radius: 8px;
  top: 80%;
  right: var(--spacing);
  transform: translate(20%, -50%) rotate(-20deg);
  border: 2px solid var(--incomplete);
  background: var(--incomplete-bg);
  color: var(--incomplete);
  padding: var(--spacing);
  font-size: 0.9rem;
  font-family: var(--secondary-font);
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;
}

.related-items {
  margin-bottom: 160px;
  margin-top: 100px;
  background: var(--related-item-bg);
  padding: var(--spacing);
  position: relative;

  &::before,
  &::after {
    content: "";
    position: absolute;
    top: 0;
    width: var(--spacing);
    height: 100%;
    z-index: 1;
  }

  &::before {
    left: var(--spacing);
    background: linear-gradient(to right, var(--related-item-bg), var(--related-item-t));
  }
  &::after {
    right: var(--spacing);
    background: linear-gradient(to left, var(--related-item-bg), var(--related-item-t));
  }

  h2 {
    font-size: var(--primary-font-size);
    font-family: var(--primary-font);
    text-align: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    transform: translateY(-150%);
  }

  .slide-container {
    width: calc(100vw - 116px);
    margin: auto;

    article {
      width: 143px;
    }

    .slide {
      min-width: 143px;

      &:first-of-type {
        article {
          margin-left: var(--spacing);
        }
      }

      article {
        margin-right: var(--spacing);
      }
    }
  }
}
